Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class Discovery

    java.lang.Object
      org.deegree.ogcwebservices.csw.discovery.Discovery

    public class Discovery

extends Object

The Discovery class allows clients to discover resources registered in a catalogue, by providing four operations named `query`,`present`, `describeRecordType`, and `getDomain`. This class has a required association from the Catalogue Service class, and is thus always implemented by all Catalogue Service implementations. The Session class can be included with the Discovery class, in associations with the Catalogue Service class. The "e;query"e; and "e;present"e; operations may be executed in a session or stateful context. If a session context exists, the dynamic model uses internal states of the session and the allowed transitions between states. When the "e;query"e; and "e;present"e; state does not include a session between a server and a client, any memory or shared information between the client and the server may be based on private understandings or features available in the protocol binding. The describeRecordType and getDomain operations do not require a session context.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , last edited by: $Author: mschneider $

Constructor Summary
`Discovery(WFService wfsService, CatalogueConfiguration cswConfiguration)`

Method Summary
`DescribeRecordResult` | `describeRecordType(DescribeRecord request)` Performs the submitted `DescribeRecord` -request.
`DomainValues` | `getDomain(GetDomain request)`
`GetRepositoryItemResponse` | `guery(GetRepositoryItem request)` Contacts the wfsResource to find a rim:ExtrinsicObject which contains the `GetRepositoryItem.getRepositoryItemID()` and retrieves it's app:RegistryObject/app:extrinsicObject/app:ExtrinsicObject/app:object.
`GetRecordByIdResult` | `query(GetRecordById getRecordById)` Performs a `GetRecordById` request.
`GetRecordsResult` | `query(GetRecords getRecords)` Performs a `GetRecords` request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Discovery

    public Discovery(WFService wfsService,
                     CatalogueConfiguration cswConfiguration)

Parameters:
  `wfsService` - to contact
  `cswConfiguration` - of this service

Method Detail

### describeRecordType

    public DescribeRecordResult describeRecordType(DescribeRecord request)
                                            throws OGCWebServiceException

  Performs the submitted `DescribeRecord` -request. TODO: Check output schema & Co.

  Parameters:
    `request` -
  Returns:
    The DescribeRecordResult created from the given request
  Throws:
    `OGCWebServiceException`

### getDomain

    public DomainValues getDomain(GetDomain request)

  Parameters:
    `request` - which is not handled
  Returns:
    just a new empty DomainValues instance.
  To do:
    not implemented, yet

### query

    public GetRecordsResult query(GetRecords getRecords)
                           throws OGCWebServiceException

  Performs a `GetRecords` request.

  This involves the following steps:

  - `GetRecords`->`GetRecordsDocument`
  - `GetRecordsDocument`->`GetFeatureDocument` using XSLT
  - `GetFeatureDocument`->`GetFeature`
  - `GetFeature` request is performed against the underlying WFS
  - WFS answers with a `FeatureResult` object (which contains a `FeatureCollection`)
  - `FeatureCollection`-> GMLFeatureCollectionDocument (as a String)
  - GMLFeatureCollectionDocument->`GetRecordsResultDocument` using XSLT
  - `GetRecordsResultDocument`->`GetRecordsResult`

  Parameters:
    `getRecords` -
  Returns:
    GetRecordsResult
  Throws:
    `OGCWebServiceException`

### query

    public GetRecordByIdResult query(GetRecordById getRecordById)
                              throws OGCWebServiceException

  Performs a `GetRecordById` request.

  This involves the following steps:

  - `GetRecordById`->`GetRecordByIdDocument`
  - `GetRecordByIdDocument`->`GetFeatureDocument` using XSLT
  - `GetFeatureDocument`->`GetFeature`
  - `GetFeature` request is performed against the underlying WFS
  - WFS answers with a `FeatureResult` object (which contains a `FeatureCollection`)
  - `FeatureCollection`-> GMLFeatureCollectionDocument (as a String)
  - GMLFeatureCollectionDocument->`GetRecordsResultDocument` using XSLT
  - `GetRecordsResultDocument`->`GetRecordsResult`

  Parameters:
    `getRecordById` -
  Returns:
    The GetRecordByIdResult created from teh given GetRecordById
  Throws:
    `OGCWebServiceException`

### guery

    public GetRepositoryItemResponse guery(GetRepositoryItem request)
                                    throws OGCWebServiceException

  Contacts the wfsResource to find a rim:ExtrinsicObject which contains the `GetRepositoryItem.getRepositoryItemID()` and retrieves it's app:RegistryObject/app:extrinsicObject/app:ExtrinsicObject/app:object. The value in this property will then be written to the response stream (e.g. sent to the requester).

  Parameters:
    `request` - the created OGCRequest
  Returns:
    the repository item response
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org